commit a31e777860f1c4a89486c0b736415e69e8040768
Author: freddy77 <freddy77>
Date:   Mon Jul 20 17:38:12 2009 +0000

    remove some warnings

diff --git a/ChangeLog b/ChangeLog
index 0b0a0c7..5753c5e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jul 20 19:38:01 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/login.c src/tds/mem.c: remove some warnings
+
 Thu Jul 16 19:33:54 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/login.c: better encryption support for mssql
 
@@ -1689,4 +1692,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2830 2009/07/16 17:34:04 freddy77 Exp $
+$Id: ChangeLog,v 1.2831 2009/07/20 17:38:12 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 2bfe1cd..a61e13b 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.315 2009/06/12 08:53:49 freddy77 Exp $ */
+/* $Id: tds.h,v 1.316 2009/07/20 17:38:12 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1598,6 +1598,7 @@ int tds7_get_instance_ports(FILE *output, const char *ip_addr);
 int tds7_get_instance_port(const char *ip_addr, const char *instance);
 int tds_ssl_init(TDSSOCKET *tds);
 void tds_ssl_deinit(TDSSOCKET *tds);
+const char *tds_prwsaerror(int erc);
 
 
 
diff --git a/src/tds/login.c b/src/tds/login.c
index 0bba84d..a51290c 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.184 2009/07/16 17:34:04 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.185 2009/07/20 17:38:12 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -927,11 +927,14 @@ tds7_crypt_pass(const unsigned char *clear_pass, size_t len, unsigned char *cryp
 static int
 tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 {
-	int i, len, ret;
+	int i, len;
 	const char *instance_name = tds_dstr_isempty(&connection->instance_name) ? "MSSQLServer" : tds_dstr_cstr(&connection->instance_name);
 	int instance_name_len = strlen(instance_name) + 1;
 	TDS_CHAR crypt_flag;
 	unsigned int start_pos = 21;
+#if defined(HAVE_GNUTLS) || defined(HAVE_OPENSSL)
+	int ret;
+#endif
 
 #define START_POS 21
 #define UI16BE(n) ((n) >> 8), ((n) & 0xffu)
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 3eb1231..33edd1a 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -41,7 +41,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.189 2009/05/28 16:23:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.190 2009/07/20 17:38:12 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -616,7 +616,6 @@ tds_free_all_results(TDSSOCKET * tds)
 /*
  * Return 1 if winsock is initialized, else 0.
  */
-const char *tds_prwsaerror( int erc );
 static int
 winsock_initialized(void)
 {

